Skip to main content
GET
/
inventory
Listar estoque com filtros e paginação
curl --request GET \
  --url https://api.example.com/inventory
{
  "data": [
    {
      "productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
      "availableQuantity": 150,
      "physicalQuantity": 160,
      "reservedQuantity": 10,
      "updatedAt": "2024-02-15T10:00:00.000Z"
    }
  ],
  "total": 1,
  "page": 1,
  "limit": 10
}

Query Parameters

page
number
default:"1"
Paginação
limit
number
default:"10"
Itens por página
warehouseId
string
Filtra pelo ID de um Centro de Distribuição.
productId
string
Filtra por ID de produto.

Response

{
  "data": [
    {
      "productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
      "availableQuantity": 150,
      "physicalQuantity": 160,
      "reservedQuantity": 10,
      "updatedAt": "2024-02-15T10:00:00.000Z"
    }
  ],
  "total": 1,
  "page": 1,
  "limit": 10
}

Query Parameters

Busca por nome ou SKU

stockStatus
enum<string>

Filtrar por status de estoque

Available options:
ALL,
IN_STOCK,
LOW_STOCK,
OUT_OF_STOCK
warehouseId
string

Filtrar por depósito

category
string

Filtrar por categoria

productType
enum<string>

Filtrar por tipo de produto

Available options:
SIMPLE,
KIT,
MANUFACTURED
sortBy
string
default:name

Ordenar por: name, stock, value, updated

sortOrder
string
default:ASC

Direção da ordenação

cursor
number
default:0

Cursor de paginação (offset)

limit
number
default:50

Limite de itens por página

Response

200

Listagem paginada de estoque